---
updatedAt: 2026-08-19T15:59:45.000Z
---

Fetch the complete documentation index at: https://docs.blockdaemon.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Kusama Polkadot REST API Methods

> 📘
>
> See the [Kusama RPC API connection guide](https://docs.blockdaemon.com/docs/access-kusama-rpc-via-polkadot-rest-api).

### `accounts`

| Method                                                | Notes                                          | Compute Unit Value |
| ----------------------------------------------------- | ---------------------------------------------- | ------------------ |
| `GET /v1/accounts/compare`                            | Returns the requested account comparison data. | 5                  |
| `GET /v1/accounts/{accountId}/asset-approvals`        | Returns account information for this endpoint. | 5                  |
| `GET /v1/accounts/{accountId}/asset-balances`         | Returns account information for this endpoint. | 5                  |
| `GET /v1/accounts/{accountId}/balance-info`           | Returns account information for this endpoint. | 5                  |
| `GET /v1/accounts/{accountId}/convert`                | Returns account information for this endpoint. | 5                  |
| `GET /v1/accounts/{accountId}/foreign-asset-balances` | Returns account information for this endpoint. | 5                  |
| `GET /v1/accounts/{accountId}/pool-asset-approvals`   | Returns account information for this endpoint. | 5                  |
| `GET /v1/accounts/{accountId}/pool-asset-balances`    | Returns account information for this endpoint. | 5                  |
| `GET /v1/accounts/{accountId}/proxy-info`             | Returns account information for this endpoint. | 5                  |
| `GET /v1/accounts/{accountId}/staking-info`           | Returns account information for this endpoint. | 5                  |
| `GET /v1/accounts/{accountId}/staking-payouts`        | Returns account information for this endpoint. | 5                  |
| `GET /v1/accounts/{accountId}/validate`               | Returns account information for this endpoint. | 5                  |
| `GET /v1/accounts/{accountId}/vesting-info`           | Returns account information for this endpoint. | 5                  |

### `ahm`

| Method             | Notes                           | Compute Unit Value |
| ------------------ | ------------------------------- | ------------------ |
| `GET /v1/ahm-info` | Returns AHM status information. | 5                  |

### `blocks`

| Method                                                 | Notes                                                                     | Compute Unit Value |
| ------------------------------------------------------ | ------------------------------------------------------------------------- | ------------------ |
| `GET /v1/blocks`                                       | Returns a range of blocks.                                                | 50                 |
| `GET /v1/blocks/head`                                  | Returns the most recently produced block.                                 | 5                  |
| `GET /v1/blocks/head/header`                           | Returns the header of the most recently produced block.                   | 1                  |
| `GET /v1/blocks/{blockId}`                             | Returns a block identified by its hash, height, or a supported block tag. | 5                  |
| `GET /v1/blocks/{blockId}/extrinsics-raw`              | Returns the SCALE-encoded extrinsics for a block.                         | 5                  |
| `GET /v1/blocks/{blockId}/extrinsics/{extrinsicIndex}` | Returns an extrinsic at the specified index in a block.                   | 5                  |
| `GET /v1/blocks/{blockId}/header`                      | Returns the header for a block.                                           | 1                  |
| `GET /v1/blocks/{blockId}/para-inclusions`             | Returns parachain-inclusion data for a relay-chain block.                 | 5                  |

### `capabilities`

| Method                  | Notes                                                                                  | Compute Unit Value |
| ----------------------- | -------------------------------------------------------------------------------------- | ------------------ |
| `POST /v1/capabilities` | Evaluates the requested API capabilities and returns supported capability information. | 5                  |

### `coretime`

| Method                          | Notes                                      | Compute Unit Value |
| ------------------------------- | ------------------------------------------ | ------------------ |
| `GET /v1/coretime/info`         | Returns Coretime info information.         | 5                  |
| `GET /v1/coretime/leases`       | Returns Coretime leases information.       | 5                  |
| `GET /v1/coretime/overview`     | Returns Coretime overview information.     | 5                  |
| `GET /v1/coretime/regions`      | Returns Coretime regions information.      | 5                  |
| `GET /v1/coretime/renewals`     | Returns Coretime renewals information.     | 5                  |
| `GET /v1/coretime/reservations` | Returns Coretime reservations information. | 5                  |

### `health`

| Method           | Notes                               | Compute Unit Value |
| ---------------- | ----------------------------------- | ------------------ |
| `GET /v1/health` | Returns the REST API health status. | 5                  |

### `node`

| Method                          | Notes                                                 | Compute Unit Value |
| ------------------------------- | ----------------------------------------------------- | ------------------ |
| `GET /v1/node/network`          | Returns node network information.                     | 5                  |
| `GET /v1/node/transaction-pool` | Returns pending extrinsics from the transaction pool. | 10                 |
| `GET /v1/node/version`          | Returns node version information.                     | 5                  |

### `pallets`

| Method                                                          | Notes                                                   | Compute Unit Value |
| --------------------------------------------------------------- | ------------------------------------------------------- | ------------------ |
| `GET /v1/pallets/asset-conversion/liquidity-pools`              | Returns asset-conversion liquidity-pool information.    | 5                  |
| `GET /v1/pallets/asset-conversion/next-available-id`            | Returns the next available asset-conversion identifier. | 5                  |
| `GET /v1/pallets/assets/{assetId}/asset-info`                   | Returns information and metadata for an asset.          | 5                  |
| `GET /v1/pallets/foreign-assets`                                | Returns foreign-asset information.                      | 5                  |
| `GET /v1/pallets/nomination-pools/info`                         | Returns nomination-pool information.                    | 5                  |
| `GET /v1/pallets/nomination-pools/{poolId}`                     | Returns nomination-pool information.                    | 5                  |
| `GET /v1/pallets/on-going-referenda`                            | Returns the ongoing referenda.                          | 5                  |
| `GET /v1/pallets/pool-assets/{assetId}/asset-info`              | Returns information and metadata for a pool asset.      | 5                  |
| `GET /v1/pallets/staking/progress`                              | Returns staking-progress information.                   | 10                 |
| `GET /v1/pallets/staking/validators`                            | Returns staking-validator information.                  | 5                  |
| `GET /v1/pallets/{palletId}/consts`                             | Returns the constants defined by a pallet.              | 5                  |
| `GET /v1/pallets/{palletId}/consts/{constantItemId}`            | Returns a constant defined by a pallet.                 | 5                  |
| `GET /v1/pallets/{palletId}/dispatchables`                      | Returns the dispatchable calls defined by a pallet.     | 5                  |
| `GET /v1/pallets/{palletId}/dispatchables/{dispatchableItemId}` | Returns a dispatchable call defined by a pallet.        | 5                  |
| `GET /v1/pallets/{palletId}/errors`                             | Returns the errors defined by a pallet.                 | 5                  |
| `GET /v1/pallets/{palletId}/errors/{errorItemId}`               | Returns an error defined by a pallet.                   | 5                  |
| `GET /v1/pallets/{palletId}/events`                             | Returns the events defined by a pallet.                 | 5                  |
| `GET /v1/pallets/{palletId}/events/{eventItemId}`               | Returns an event defined by a pallet.                   | 5                  |
| `GET /v1/pallets/{palletId}/storage`                            | Returns the storage-item metadata for a pallet.         | 10                 |
| `GET /v1/pallets/{palletId}/storage/{storageItemId}`            | Returns a storage item and its value for a pallet.      | 5                  |

### `paras`

| Method                             | Notes                                          | Compute Unit Value |
| ---------------------------------- | ---------------------------------------------- | ------------------ |
| `GET /v1/paras/{number}/inclusion` | Returns inclusion information for a parachain. | 10                 |

### `rc`

| Method                                                             | Notes                                                                                 | Compute Unit Value |
| ------------------------------------------------------------------ | ------------------------------------------------------------------------------------- | ------------------ |
| `GET /v1/rc/accounts/{address}/balance-info`                       | Returns relay-chain account information for this endpoint.                            | 5                  |
| `GET /v1/rc/accounts/{address}/proxy-info`                         | Returns relay-chain account information for this endpoint.                            | 5                  |
| `GET /v1/rc/accounts/{address}/staking-info`                       | Returns relay-chain account information for this endpoint.                            | 5                  |
| `GET /v1/rc/accounts/{address}/staking-payouts`                    | Returns relay-chain account information for this endpoint.                            | 5                  |
| `GET /v1/rc/accounts/{address}/vesting-info`                       | Returns relay-chain account information for this endpoint.                            | 5                  |
| `GET /v1/rc/blocks`                                                | Returns relay-chain a range of blocks.                                                | 50                 |
| `GET /v1/rc/blocks/head`                                           | Returns relay-chain the most recently produced block.                                 | 5                  |
| `GET /v1/rc/blocks/head/header`                                    | Returns relay-chain the header of the most recently produced block.                   | 1                  |
| `GET /v1/rc/blocks/{blockId}`                                      | Returns relay-chain a block identified by its hash, height, or a supported block tag. | 5                  |
| `GET /v1/rc/blocks/{blockId}/extrinsics-raw`                       | Returns relay-chain the SCALE-encoded extrinsics for a block.                         | 5                  |
| `GET /v1/rc/blocks/{blockId}/extrinsics/{extrinsicIndex}`          | Returns relay-chain an extrinsic at the specified index in a block.                   | 5                  |
| `GET /v1/rc/blocks/{blockId}/header`                               | Returns relay-chain the header for a block.                                           | 1                  |
| `GET /v1/rc/blocks/{blockId}/para-inclusions`                      | Returns relay-chain parachain-inclusion data for a relay-chain block.                 | 5                  |
| `GET /v1/rc/node/network`                                          | Returns relay-chain node network information.                                         | 5                  |
| `GET /v1/rc/node/transaction-pool`                                 | Returns relay-chain pending extrinsics from the transaction pool.                     | 10                 |
| `GET /v1/rc/node/version`                                          | Returns relay-chain node version information.                                         | 5                  |
| `GET /v1/rc/pallets/on-going-referenda`                            | Returns the ongoing referenda.                                                        | 5                  |
| `GET /v1/rc/pallets/staking/progress`                              | Returns staking-progress information.                                                 | 10                 |
| `GET /v1/rc/pallets/staking/validators`                            | Returns staking-validator information.                                                | 5                  |
| `GET /v1/rc/pallets/{palletId}/consts`                             | Returns the constants defined by a pallet.                                            | 5                  |
| `GET /v1/rc/pallets/{palletId}/consts/{constantItemId}`            | Returns a constant defined by a pallet.                                               | 5                  |
| `GET /v1/rc/pallets/{palletId}/dispatchables`                      | Returns the dispatchable calls defined by a pallet.                                   | 5                  |
| `GET /v1/rc/pallets/{palletId}/dispatchables/{dispatchableItemId}` | Returns a dispatchable call defined by a pallet.                                      | 5                  |
| `GET /v1/rc/pallets/{palletId}/errors`                             | Returns the errors defined by a pallet.                                               | 5                  |
| `GET /v1/rc/pallets/{palletId}/errors/{errorItemId}`               | Returns an error defined by a pallet.                                                 | 5                  |
| `GET /v1/rc/pallets/{palletId}/events`                             | Returns the events defined by a pallet.                                               | 5                  |
| `GET /v1/rc/pallets/{palletId}/events/{eventItemId}`               | Returns an event defined by a pallet.                                                 | 5                  |
| `GET /v1/rc/pallets/{palletId}/storage`                            | Returns the storage-item metadata for a pallet.                                       | 10                 |
| `GET /v1/rc/pallets/{palletId}/storage/{storageItemId}`            | Returns a storage item and its value for a pallet.                                    | 5                  |
| `GET /v1/rc/runtime/code`                                          | Returns relay-chain the current runtime Wasm code.                                    | 1                  |
| `GET /v1/rc/runtime/metadata`                                      | Returns relay-chain the current runtime metadata.                                     | 1                  |
| `GET /v1/rc/runtime/metadata/versions`                             | Returns relay-chain the runtime metadata versions supported by the node.              | 1                  |
| `GET /v1/rc/runtime/metadata/{metadataVersion}`                    | Returns relay-chain runtime metadata encoded at a requested metadata version.         | 1                  |
| `GET /v1/rc/runtime/spec`                                          | Returns relay-chain the current runtime specification information.                    | 1                  |
| `POST /v1/rc/transaction`                                          | Submits an encoded transaction to the node.                                           | 50                 |
| `POST /v1/rc/transaction/dry-run`                                  | Simulates an encoded transaction without broadcasting it.                             | 5                  |
| `POST /v1/rc/transaction/fee-estimate`                             | Returns relay-chain the estimated fee for an encoded transaction.                     | 10                 |
| `GET /v1/rc/transaction/material`                                  | Returns relay-chain the material required to construct a transaction.                 | 5                  |
| `GET /v1/rc/transaction/material/{metadataVersion}`                | Returns relay-chain transaction-construction material for a metadata version.         | 5                  |

### `runtime`

| Method                                       | Notes                                                             | Compute Unit Value |
| -------------------------------------------- | ----------------------------------------------------------------- | ------------------ |
| `GET /v1/runtime/code`                       | Returns the current runtime Wasm code.                            | 1                  |
| `GET /v1/runtime/metadata`                   | Returns the current runtime metadata.                             | 1                  |
| `GET /v1/runtime/metadata/versions`          | Returns the runtime metadata versions supported by the node.      | 1                  |
| `GET /v1/runtime/metadata/{metadataVersion}` | Returns runtime metadata encoded at a requested metadata version. | 1                  |
| `GET /v1/runtime/spec`                       | Returns the current runtime specification information.            | 1                  |

### `transaction`

| Method                                           | Notes                                                             | Compute Unit Value |
| ------------------------------------------------ | ----------------------------------------------------------------- | ------------------ |
| `POST /v1/transaction`                           | Submits an encoded transaction to the node.                       | 50                 |
| `POST /v1/transaction/dry-run`                   | Simulates an encoded transaction without broadcasting it.         | 5                  |
| `POST /v1/transaction/fee-estimate`              | Returns the estimated fee for an encoded transaction.             | 10                 |
| `GET /v1/transaction/material`                   | Returns the material required to construct a transaction.         | 5                  |
| `GET /v1/transaction/material/{metadataVersion}` | Returns transaction-construction material for a metadata version. | 5                  |
| `POST /v1/transaction/metadata-blob`             | Creates a metadata blob for transaction construction.             | 5                  |
| `POST /v1/transaction/parse`                     | Parses an encoded transaction.                                    | 5                  |